complexType "ProposedCollateralDeliveryReturn"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | deliveringPartyReference?, receivingPartyReference?, (cash? | security? | letterOfCredit?)+
</...>

Content Model Elements (5):

  cash (defined in ProposedCollateralDeliveryReturn complexType),
  deliveringPartyReference (defined in ProposedCollateralDeliveryReturn complexType),
  letterOfCredit,
  receivingPartyReference (defined in ProposedCollateralDeliveryReturn complexType),
  security

All Direct / Indirect Based Elements (7):

  deliver (defined in ProposedCollateral complexType),
  deliver (defined in SubstituteCollateral complexType),
  deliver (defined in SubstituteCollateral complexType),
  return (defined in ExpectedCollateralDeliveryReturn complexType),
  return (defined in ProposedCollateral complexType),
  return (defined in ProposedCollateral complexType),
  return (defined in SubstituteCollateral complexType)

Known Usage Locations

- As direct type of elements (7):
  deliver (defined in ProposedCollateral complexType),
  deliver (defined in SubstituteCollateral complexType),
  deliver (defined in SubstituteCollateral complexType),
  return (defined in ExpectedCollateralDeliveryReturn complexType),
  return (defined in ProposedCollateral complexType),
  return (defined in ProposedCollateral complexType),
  return (defined in SubstituteCollateral complexType)

XML Source (see within schema source)

<xsd:complexType name="ProposedCollateralDeliveryReturn"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="cash" type="CashDeliveryReturn"/> <xsd:element minOccurs="0" name="security" type="SecurityDeliveryReturn"/> <xsd:element minOccurs="0" name="letterOfCredit" type="LetterOfCredit"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
cash

  Type: | CashDeliveryReturn, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="cash" type="CashDeliveryReturn"/>

deliveringPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/>

letterOfCredit

  Type: | LetterOfCredit, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="letterOfCredit" type="LetterOfCredit"/>

receivingPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/>

security

  Type: | SecurityDeliveryReturn, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="security" type="SecurityDeliveryReturn"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.